Summary: RealPlayer
Name: rvplayer
Version: 5.0
Release: 3a
Group: X11/Applications
Copyright: Commercial
Url: http://www.real.com
Vendor: RealNetworks, Inc.
Packager: Hao Li <hli@wag.caltech.edu>
Source: rvplayer-5.0-3.i386.rpm
Exclusivearch: i386
BuildRoot: /var/tmp/%{name}-root

%description
RealNetworks' RealPlayer 5.0.

This package is based on rvplayer-5.0-3.i386.rpm distributed by
RealNetworks with patches for Linux kernel 2.1/2.2 at
linux/Documentation/Changes applied.


%prep
%setup -c -T
rpm2cpio $RPM_SOURCE_DIR/rvplayer-5.0-3.i386.rpm | cpio -id
# Patches for it to work under Linux kernel 2.1/2.2
cd usr/bin
dd if=/dev/zero of=rvplayer bs=1 count=1 seek=657586 conv=notrunc
dd if=/dev/zero of=rvplayer bs=1 count=1 seek=665986 conv=notrunc


%install
rm -rf $RPM_BUILD_ROOT
mv usr/doc/* .
mkdir usr/lib/rvplayer-5.0
mv usr/{bin,lib/{Real,rvplayer}}/* usr/lib/rvplayer-5.0
rmdir usr/doc usr/lib/{Real,rvplayer}

cat > usr/bin/rvplayer <<EOF
#!/bin/sh
RVPLAYER_HOME=/usr/lib/rvplayer-5.0
LD_LIBRARY_PATH=\$RVPLAYER_HOME
export LD_LIBRARY_PATH
exec \$RVPLAYER_HOME/rvplayer "\$@"
EOF

chmod 755 usr/bin/rvplayer

mkdir -p  $RPM_BUILD_ROOT
cp -a usr $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc rvplayer-5.0/*
/usr/bin/rvplayer
/usr/lib/rvplayer-5.0


%clean
rm -rf $RPM_BUILD_ROOT
